{% extends 'base.html.twig' %}

{% block title %}Product index{% endblock %}

{% block body %}
    <h1>Product index</h1>

    <table class="table">
        <thead>
        <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Price</th>
            <th>Type</th>
            <th>Actions</th>

            <th>Edit For Authenticated</th>
        </tr>
        </thead>
        <tbody>
        {% for product in products %}
            <tr>
                <td>{{ product.id }}</td>
                <td>{{ product.name }}</td>
                <td>{{ product.price }}</td>
                <td>{{ product.type }}</td>
                <td>
                    {% for type_id,type  in  constant('\\App\\Entity\\Cart::TYPES_NAMES') %}
                        <a class="btn btn-primary"
                           href="{{ path('my_cart_add_product', {'cart_type':type_id,'product': product.id}) }}">
                            {{ type }}
                        </a>
                    {% endfor %}

                </td>

                <td>
                    {% if app.user %}

                    <a href="{{ path('product_show', {'id': product.id}) }}">show</a>
                    <a href="{{ path('product_edit', {'id': product.id}) }}">edit</a>
                    {% endif %}

                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('product_new') }}">Create new</a>
{% endblock %}
